软件source编译安装

版权声明:本文为博主原创文章,遵循 CC 4.0 BY-SA 版权协议,转载请附上原文出处链接和本声明。
本文链接:https://blog.csdn.net/u010454261/article/details/73549930

./configure指定安装路径: ./configure --prefix=/home/usrName/software

cmake指定安装路径: 

  1. cmake -DCMAKE_INSTALL_PREFIX=/usr ..  

wget -O "filename" "address"  wget下载文件时指定要保存的文件名

wget -P "dir" "address" 指定下载文件保存的目录

展开阅读全文

>>>>手工编译安装与rpm软件管理器>>>>

11-18

rn#rpm --rebuilddbrn可以重建所有的系统上已安装的软件包,是吧?rn但有疑问,自已用make intall编译安装的软件,rn也可以在rpm里重建吗???rn rn其实我是想说,用make install安装的程序,可以用rn#rpm -e XXXrn去卸载吗?????rn在我的意识里,好像用make install安装的软件,如果要用rpm去卸载,是不是要先用#rpm --rebuilddbrn重建rpm的软件数据库,然后才可以用#rpm -e XXXrn去卸载用make install安装的软件????rn是这样的吗???请指点,急急如令律啊,高手们快帮忙啊!!!!rn另外,有什么最准确的方法,可以知道我的系统上安装了哪些软件(目前可以使用的),而且这些软件都分别是什么版本?rn因为我的系统,以前系统自带了有glib 1.2.10版,gtk 1.2.13版,我在X环境下把他们删除时,提示说有些依赖关系,于是我强制卸载了,但我重装了更高版本的pkg-config,glib,atk,pango,gtk+2.4后,rn用rn#pkg-config --modversion glibrn#pkg-config --modversion gtkrn发现,还分别是glib 1.2.10和gtk 1.2.13版本,为什么会这样啊,我晕啊,急死了,rn请各位不要告诉我装更高版本的linux这种方法,我不喜欢这样做!!!rn我一定要先卸载了旧版本的glib和gtk,然后我要装新版本的!!!!!rn告诉我,详细的解决方案!!!!!rn谢谢!!!!rn 论坛

没有更多推荐了,返回首页